<script setup lang="ts">

import Version from "@/entities/Repository/Version";
import DropDownCard from "@/components/organisms/card/horizontal-card/DropDownCard.vue";
import ActionButton from "@/components/atoms/button/ActionButton.vue";
import PatchNoteViewer from "@/components/molecules/viewer/PatchNoteViewer.vue";

defineProps<{ version: Version }>()

</script>

<template>
  <DropDownCard :title="version.code">
    <template #default>
      <PatchNoteViewer
          v-if="version.content.length > 0"
          :patchNote="version.content"
      />
      <p v-else>Pas de contenu</p>
    </template>
    <template #footer>
      <ActionButton>Exporter le patch note</ActionButton>
      <ActionButton>Versions des sous-modules</ActionButton>
      <ActionButton>Liste des MR/PR</ActionButton>
      <ActionButton>Commits en direct</ActionButton>
    </template>
  </DropDownCard>
</template>